#include "ctrl_window.hpp"

#include <nanogui/layout.h>
#include <nanogui/label.h>
#include <nanogui/combobox.h>

#include <vector>
#include <string>

using ftl::gui::ControlWindow;
using std::string;
using std::vector;


ControlWindow::ControlWindow(nanogui::Widget *parent, ftl::ctrl::Master *ctrl)
		: nanogui::Window(parent, "Control"), ctrl_(ctrl) {
	setLayout(new nanogui::GroupLayout());

	using namespace nanogui;

	new Label(this, "Select Node","sans-bold");
	vector<string> details = ctrl->getSlaves();
	LOG(INFO) << "Details count = " << details.size();

	vector<string> available;
	for (auto &d : details) {
		auto detail = ftl::config::json_t::parse(d);
		LOG(INFO) << "DETAIL RECEIVED " << detail;
		available.push_back(detail["title"].get<string>());
	}

	auto select = new ComboBox(this, available);
	select->setCallback([this,available](int ix) {
		LOG(INFO) << "Change node: " << ix;
		
	});
}

ControlWindow::~ControlWindow() {

}

